aboutsummaryrefslogtreecommitdiffhomepage
path: root/php/tests/test.sh
diff options
context:
space:
mode:
authorGravatar Paul Yang <TeBoring@users.noreply.github.com>2016-09-15 11:09:01 -0700
committerGravatar GitHub <noreply@github.com>2016-09-15 11:09:01 -0700
commite0e54661f76183684dca66694967a60cbb10f04e (patch)
tree0a2a20f984705fdf6ef13de8829901b80f88efb5 /php/tests/test.sh
parent86fcd879b38505446799b2f2a2929415ddad620a (diff)
Check in php implementation. (#2052)
This pull request includes two implementation: C extension and PHP package. Both implementations support encode/decode of singular, repeated and map fields.
Diffstat (limited to 'php/tests/test.sh')
-rwxr-xr-xphp/tests/test.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/php/tests/test.sh b/php/tests/test.sh
new file mode 100755
index 00000000..52833edb
--- /dev/null
+++ b/php/tests/test.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+cd ../ext/google/protobuf/
+make clean
+set -e
+
+phpize && ./configure --enable-debug CFLAGS='-g -O0' && make
+cd -
+
+tests=( array_test.php encode_decode_test.php generated_class_test.php map_field_test.php )
+
+for t in "${tests[@]}"
+do
+ echo "****************************"
+ echo "* $t"
+ echo "****************************"
+ php -dextension=../ext/google/protobuf/modules/protobuf.so `which phpunit` $t
+ echo ""
+done
+
+# Make sure to run the memory test in debug mode.
+php -dextension=../ext/google/protobuf/modules/protobuf.so memory_leak_test.php
+
+USE_ZEND_ALLOC=0 valgrind --leak-check=yes php -dextension=../ext/google/protobuf/modules/protobuf.so memory_leak_test.php